package com.hw.admin.system.config;

import com.hw.admin.model.service.WorkPackerService;
import com.hw.admin.system.utils.DateExUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * @author lnj
 * createTime 2018-11-07 22:37
 **/
@Component
@Slf4j
public class ApplicationRunnerImpl implements ApplicationRunner {
    @Autowired
    private WorkPackerService workPackerService;

    @Override
    public void run(ApplicationArguments args) {
        log.info("执行文件检查开始:{}", DateExUtils.timeStr());
        workPackerService.update();
        log.info("执行文件检查结束:{}", DateExUtils.timeStr());
    }
}
