package com.hw.admin.system.config;

import com.hw.admin.system.listener.FileMonitor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class FilePathListenerConfig {
    @Value("${file.path}")
    private String filepath;

    @Bean
    public FileMonitor fileMonitor() {
        return new FileMonitor(filepath);
    }
}
